Bug 854063 - [abrt] calibre-0.8.63-1.fc17: mobi6.py:147:check_for_drm:DRMError: DB2 9.7 for Linux, UNIX, and Windows Database Administration: Certification Study Notes
[abrt] calibre-0.8.63-1.fc17: mobi6.py:147:check_for_drm:DRMError: DB2 9.7 fo...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:6d42296925cb33af3a973305ab3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 16:31 EDT by Mladen Gogala
Modified: 2012-09-03 16:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 16:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1004 bytes, text/plain)
2012-09-03 16:31 EDT, Mladen Gogala
no flags Details

  None (edit)
Description Mladen Gogala 2012-09-03 16:31:52 EDT
Version-Release number of selected component:
calibre-0.8.63-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        python2 /usr/bin/calibre-parallel
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:mobi6.py:147:check_for_drm:DRMError: DB2 9.7 for Linux, UNIX, and Windows Database Administration: Certification Study Notes
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 20, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 191, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
:    override_input_metadata=True)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 979, in run
:    accelerators, tdir)
:  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 239, in __call__
:    log, accelerators)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/mobi_input.py", line 34, in convert
:    mr.extract_content(u'.', parse_cache)
:  File "/usr/lib64/calibre/calibre/ebooks/mobi/reader/mobi6.py", line 151, in extract_content
:    self.check_for_drm()
:  File "/usr/lib64/calibre/calibre/ebooks/mobi/reader/mobi6.py", line 147, in check_for_drm
:    raise DRMError(name)
:DRMError: DB2 9.7 for Linux, UNIX, and Windows Database Administration: Certification Study Notes
:
:Local variables in innermost frame:
:self: <calibre.ebooks.mobi.reader.mobi6.MobiReader object at 0x303a610>
:name: u'DB2 9.7 for Linux, UNIX, and Windows Database Administration: Certification Study Notes'
Comment 1 Mladen Gogala 2012-09-03 16:31:55 EDT
Created attachment 609473 [details]
File: core_backtrace
Comment 2 Kevin Fenzi 2012-09-03 16:40:46 EDT
This file/book has DRM. (Digitial Rights management). 

calibre does not support anything to do with DRMed files. 

Sorry, there's nothing we can do.

Note You need to log in before you can comment on or make changes to this bug.